Summary: A utility for determining file types.
Name: file
Version: 3.30
Release: 1mdk
Copyright: BSD 
Group: File tools
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.bz2
Source1: gimp.magic.bz2
Patch0: file-3.26-realmedia.patch.bz2
Patch1: file-3.27-rh.patch.bz2
Patch2: file-3.27-stripping.patch.bz2
Patch3: file-3.27-more.patch.bz2
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
#%patch2 -p1
#%patch3 -p1

# This overwrites -- check on version change.
rm -f ./Magdir/gimp
bzcat %SOURCE1 > ./Magdir/gimp

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%configure
perl -p -i -e 's/sparc/SPARC/g' Magdir/*

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{man/man1,man/man4,share,bin}
make prefix=$RPM_BUILD_ROOT/%{prefix} install

# Shouldn't be necessary with spec-helper
#bzip2 -9f $RPM_BUILD_ROOT/%{prefix}/man/*/*
#{
#    cd $RPM_BUILD_ROOT
#    strip .%{prefix}/bin/file
#}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/file
%{prefix}/share/magic
%{prefix}/man/man1/file.1*
%{prefix}/man/man4/magic.4*

%changelog
* Tue Apr 11 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.30-1mdk
- new version 3.30
- fix license to BSD

* Thu Mar 23 2000 DindinX <odin@mandrakesoft.com> 3.28-2mdk
- Specs updates, new Group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- enable SMP build/check
- 3.28 :
	- Remove strip/realmedia patch (is there)
	- Remove sparc patch (perl does better, not need updateing)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat changes.
- identify ELF stripped files correctly (r).
- use SPARC (not sparc) consistently throughout (r).
- add entries for MS Office files (r).

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redhat merge:
	- Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
	- diddle magic so that *.tfm files are identified correctly.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting po translations from MDK5.3.
- Bzip2 patch.
- 3.27.
- Removing unused stuff.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for realmedia support.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
